Geo::GoogleEarth::Pluggable::StyleMap(3pm)

NAME
Geo::GoogleEarth::Pluggable::StyleMap - Geo::GoogleEarth::Pluggable StyleMap Object

SYNOPSIS
  use Geo::GoogleEarth::Pluggable;
  my $document=Geo::GoogleEarth::Pluggable->new;
  my $style=$document->StyleMap(%data);
  print $document->render;

DESCRIPTION
Geo::GoogleEarth::Pluggable::StyleMap is a Geo::GoogleEarth::Pluggable::Base with a few other methods.

USAGE
  my $style=$document->StyleMap(
                                normal    => $style1,
                                highlight => $style2,
                               );

CONSTRUCTOR

  new
  my $style=$document->StyleMap;

METHODS

  type
Returns the object type.

  my $type=$style->type;

  node
Generates XML that looks like this.

  <StyleMap id="StyleMap-perl-69">
    <Pair>
      <key>normal</key>
      <styleUrl>#Style-perl-19</styleUrl>
    </Pair>
    <Pair>
      <key>highlight</key>
      <styleUrl>#Style-perl-11</styleUrl>
    </Pair>
  </StyleMap>

BUGS
Please log on RT and send to the geo-perl email list.

SUPPORT
Try geo-perl email list.

AUTHOR
  Michael R. Davis (mrdvt92)
  CPAN ID: MRDVT

COPYRIGHT
This program is free software licensed under the...

  The BSD License

The full text of the license can be found in the LICENSE file included with this module.

SEE ALSO
Geo::GoogleEarth::Pluggable, XML::LibXML::LazyBuilder, Scalar::Util